org.apache.ignite.internal.processors.cache

## Class CacheWeakQueryIteratorsHolder<V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheWeakQueryIteratorsHolder<V>

Type Parameters:
  `V` - Type for cache query future.

    public class CacheWeakQueryIteratorsHolder<V>
    extends Object

### Nested Class Summary

Nested Classes
`class` `CacheWeakQueryIteratorsHolder.WeakQueryFutureIterator<T>` Iterator based of `CacheQueryFuture`.

### Constructor Summary

Constructors
Constructor and Description
`CacheWeakQueryIteratorsHolder(IgniteLogger log)`

### Method Summary

Methods
`void` `checkWeakQueue()` Closes unreachable iterators.
`void` `clearQueries()` Cancel all cache queries.
`<T> CacheWeakQueryIteratorsHolder.WeakQueryFutureIterator` `iterator(CacheQueryFuture<V> fut, CacheIteratorConverter<T,V> convert)`
`void` `removeIterator(CacheWeakQueryIteratorsHolder.WeakQueryFutureIterator it)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheWeakQueryIteratorsHolder

    public CacheWeakQueryIteratorsHolder(IgniteLogger log)

Parameters:
  `log` - Logger.

### Method Detail

#### iterator

    public <T> CacheWeakQueryIteratorsHolder.WeakQueryFutureIterator iterator(CacheQueryFuture<V> fut,
                                                                     CacheIteratorConverter<T,V> convert)

Type Parameters:
  `T` - Type for the iterator.
Parameters:
  `fut` - Query to iterate.
  `convert` - Cache iterator converter.
Returns:
  Iterator over the cache.

#### removeIterator

    public void removeIterator(CacheWeakQueryIteratorsHolder.WeakQueryFutureIterator it)
                        throws IgniteCheckedException

Parameters:
  `it` - Iterator.
Throws:
  `IgniteCheckedException` - If failed.

#### checkWeakQueue

    public void checkWeakQueue()

Closes unreachable iterators.

#### clearQueries

    public void clearQueries()

Cancel all cache queries.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015